<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/login_bkg"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/userPhoneView"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/ic_launcher_foreground" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_10"
            android:fontFamily="sans-serif-black"
            android:gravity="center"
            android:text="欢迎登录"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_20" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fontFamily="sans-serif-black"
            android:gravity="center"
            android:text="智慧厨房AIot物联管理平台"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_20" />
    </LinearLayout>

    <com.pengxh.kt.lite.widget.DeleteEditText
        android:id="@+id/userPhoneView"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_40"
        android:layout_above="@id/passwordView"
        android:layout_centerInParent="true"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginBottom="@dimen/dp_20"
        android:background="@drawable/bg_stroke_layout_main_radius_7"
        android:hint="请输入手机号码"
        android:inputType="phone"
        android:padding="@dimen/dp_10"
        android:singleLine="true"
        android:textColorHint="#551D55C6"
        android:textSize="@dimen/sp_16" />

    <com.pengxh.kt.lite.widget.DeleteEditText
        android:id="@+id/passwordView"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_40"
        android:layout_centerInParent="true"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:background="@drawable/bg_stroke_layout_main_radius_7"
        android:hint="请输入密码"
        android:inputType="textPassword"
        android:padding="@dimen/dp_10"
        android:singleLine="true"
        android:textColorHint="#551D55C6"
        android:textSize="@dimen/sp_16" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/passwordView"
        android:layout_marginHorizontal="@dimen/dp_50">

        <TextView
            android:id="@+id/forgetPasswordView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:alpha="0.35"
            android:paddingVertical="@dimen/dp_10"
            android:text="忘记密码？"
            android:textColor="@color/red"
            android:textSize="@dimen/sp_12" />

        <TextView
            android:id="@+id/registerView"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="end"
            android:paddingVertical="@dimen/dp_10"
            android:text="立即注册"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_12" />
    </LinearLayout>

    <Button
        android:id="@+id/loginButton"
        style="@style/MainButtonStyle"
        android:layout_below="@id/passwordView"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_50"
        android:text="登录"
        android:textColor="@color/white" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/loginButton"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingHorizontal="@dimen/dp_50">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal">

            <View
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1"
                android:background="@color/mainThemeColor" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_5"
                android:text="第三方登录"
                android:textColor="@color/mainThemeColor"
                android:textSize="@dimen/sp_12" />

            <View
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1"
                android:background="@color/mainThemeColor" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingVertical="@dimen/dp_20">

            <ImageView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:src="@drawable/ic_wechat" />

            <ImageView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:src="@drawable/ic_qq" />

            <ImageView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:src="@drawable/ic_zfb" />
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>